Bug 1413978 - Review Request: php-sabre-vobject4 - Library to parse and manipulate iCalendar and vCard objects
Review Request: php-sabre-vobject4 - Library to parse and manipulate iCalenda...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-17 08:37 EST by Remi Collet
Modified: 2017-03-01 20:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-01 19:49:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-01-17 08:37:12 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/fb8a6e5c495821e5b210091397f1adc29c06632e/php/sabredav/php-sabre-vobject4/php-sabre-vobject4.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sabre-vobject4-4.1.2-1.remi.src.rpm
Description: 
The VObject library allows you to easily parse and manipulate iCalendar
and vCard objects using PHP. The goal of the VObject library is to create
a very complete library, with an easy to use API.

This project is a spin-off from SabreDAV, where it has been used for several
years. The VObject library has 100% unittest coverage.

Autoloader: /usr/share/php/Sabre/VObject4/autoload.php

Fedora Account System Username: remi
Comment 1 Remi Collet 2017-01-17 08:39:54 EST
@James, from IRC

> nextcloud 11.0.1 has bumped the sabre-dav req in composer.json to 3.2.0

sabre/dav requires sabre/vobject 4.1 which have BC break.

glpi requires (for now) sabre/vobject 3.5

So yet another candidate for multi-versions.
Comment 3 Didier 2017-01-20 09:12:02 EST
Having recompiled php-sabre-vobject 3.5.3-4 for EL7 (https://copr.fedorainfracloud.org/coprs/ifas/nextcloud11/builds/) pending a Nextcloud 11 (bug #1360482) EL7 compilation, I wondered whether the conditional from comment #2 is applicable to EL7 too ?
Or does it suffice to have an  php-sabre-vobject4.el7 ?
Comment 4 Remi Collet 2017-01-20 10:25:00 EST
The conditional is there to ensure only 1 package provides the commands.
It just need to be the opposite condition in php-sabre-vobject4 than in php-sabre-vobject. I don't think owncloud use the command (only the library).
Comment 5 Didier 2017-01-20 11:28:34 EST
Thanks for the explanation !
Comment 6 James Hogarth 2017-02-15 17:59:30 EST
===== Issues =====

  * defattr in %files
    - since el5 is dropped this should be removed
  * Buildroot present
    - since el5 is dropped this should be removed
  * package functions as described
    - assuming this is good as tests pass

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated". 191 files have
     unknown license. Detailed output of licensecheck in
     /home/james/workspace/fedora-scm/1413978-php-sabre-
     vobject4/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: php-sabre-vobject4 (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.4 DB version 1.17.0 built Jan 24 2017
     10:56:54 CET static analyze results in /home/james/workspace/fedora-
     scm/1413978-php-sabre-vobject4/phpci.log


Rpmlint
-------
Checking: php-sabre-vobject4-4.1.2-1.fc26.noarch.rpm
          php-sabre-vobject4-4.1.2-1.fc26.src.rpm
php-sabre-vobject4.noarch: W: spelling-error Summary(en_US) iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.noarch: W: spelling-error Summary(en_US) vCard -> v Card, card
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US vCard -> v Card, card
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-vobject4.noarch: E: wrong-script-interpreter /usr/bin/generate_vcards /usr/bin/env php
php-sabre-vobject4.noarch: E: wrong-script-interpreter /usr/bin/vobject /usr/bin/env php
php-sabre-vobject4.noarch: W: no-manual-page-for-binary vobject
php-sabre-vobject4.noarch: W: no-manual-page-for-binary generate_vcards
php-sabre-vobject4.src: W: spelling-error Summary(en_US) iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.src: W: spelling-error Summary(en_US) vCard -> v Card, card
php-sabre-vobject4.src: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.src: W: spelling-error %description -l en_US vCard -> v Card, card
php-sabre-vobject4.src: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
php-sabre-vobject4.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-vobject4.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sabre-vobject4.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 2 errors, 17 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
php-sabre-vobject4.noarch: W: spelling-error Summary(en_US) iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.noarch: W: spelling-error Summary(en_US) vCard -> v Card, card
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US vCard -> v Card, card
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US unittest -> unit test, unit-test, unities
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-vobject4.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-vobject4.noarch: E: wrong-script-interpreter /usr/bin/generate_vcards /usr/bin/env php
php-sabre-vobject4.noarch: E: wrong-script-interpreter /usr/bin/vobject /usr/bin/env php
php-sabre-vobject4.noarch: W: no-manual-page-for-binary generate_vcards
php-sabre-vobject4.noarch: W: no-manual-page-for-binary vobject
1 packages and 0 specfiles checked; 2 errors, 9 warnings.



Requires
--------
php-sabre-vobject4 (rpmlib, GLIBC filtered):
    /usr/bin/env
    php(language)
    php-cli
    php-composer(fedora/autoloader)
    php-composer(sabre/xml)
    php-date
    php-json
    php-mbstring
    php-pcre
    php-spl
    php-xml



Provides
--------
php-sabre-vobject4:
    php-composer(sabre/vobject)
    php-sabre-vobject4



Source checksums
----------------
https://github.com/fruux/sabre-vobject/archive/d0fde2fafa2a3dad1f559c2d1c2591d4fd75ae3c/php-sabre-vobject4-4.1.2-d0fde2f.tar.gz :
  CHECKSUM(SHA256) this package     : fd12058b77506186763655a095344b8ded3bc4e7273c4b1fa640b5189764ae22
  CHECKSUM(SHA256) upstream package : fd12058b77506186763655a095344b8ded3bc4e7273c4b1fa640b5189764ae22


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1413978
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Result =====

Package is APPROVED but please remove Buildroot and defattr during import
Comment 7 Remi Collet 2017-02-17 08:40:56 EST
Thanks for the review.

New package requested on pkgdb.
Comment 8 Gwyn Ciesla 2017-02-21 08:40:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-sabre-vobject4
Comment 9 Fedora Update System 2017-02-21 09:35:12 EST
php-sabre-vobject4-4.1.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed5917b02
Comment 10 Fedora Update System 2017-02-21 09:35:20 EST
php-sabre-vobject4-4.1.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9637bc13e0
Comment 11 Fedora Update System 2017-02-22 13:52:32 EST
php-sabre-vobject4-4.1.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9637bc13e0
Comment 12 Fedora Update System 2017-02-22 16:08:05 EST
php-sabre-vobject4-4.1.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1ed5917b02
Comment 13 Fedora Update System 2017-03-01 19:49:45 EST
php-sabre-vobject4-4.1.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-03-01 20:20:47 EST
php-sabre-vobject4-4.1.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.